package com.railway.business.app.mapper;

import com.github.pagehelper.Page;
import com.railway.business.app.domain.AppUpgrade;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * apk版本升级表
 *
 * @author zhaomn
 * @date 2021/12/13
 */
@Mapper
@Repository
public interface AppUpgradeMapper {

  /**
   * 新增
   */
  int insert(AppUpgrade appUpgrade);

  /**
   * 删除
   */
  int delete(@Param("id") Long id);

  /**
   * 更新
   */
  int update(AppUpgrade appUpgrade);

  /**
   * 获取单个
   */
  AppUpgrade getInfo(@Param("id") String id);

  /**
   * 查询列表
   */
  Page<AppUpgrade> getList(AppUpgrade appUpgrade);

  /**
   * 获取单个
   */
  AppUpgrade getNewestInfo();

}
